HI
API & MCPदस्तावेज़ीकरण

Mariner GPS Tools एजेंट और API प्लेटफ़ॉर्म

प्रारंभिक वास्तविक दिशा की गणना करें

एक पोज़िशन से दूसरी पोज़िशन तक प्रारंभिक वास्तविक दिशा की गणना करें।

इंटरफ़ेस

POST
REST समापन बिंदु/api/v1/bearing
MCP
उपकरण का नामcalculate_bearing

निवेदन

अनुरोध को JSON के रूप में भेजें। MCP क्लाइंट टूल तर्कों के समान फ़ील्ड पास करते हैं।

cURLshell
curl -X POST https://marinergps.tools/api/v1/bearing \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
  "from": {
    "lat": 50.1,
    "lng": -4.2
  },
  "to": {
    "lat": 49.8,
    "lng": -3.1
  }
}'
निकाय से अनुरोध करेंjson
{
  "from": {
    "lat": 50.1,
    "lng": -4.2
  },
  "to": {
    "lat": 49.8,
    "lng": -3.1
  }
}

प्रतिक्रिया

REST गणना परिणाम को मानक सफलता लिफाफे में लपेटता है। MCP वही गणना डेटा संरचित टूल आउटपुट के रूप में लौटाता है।

JSON
{
  "ok": true,
  "data": {
    "degrees": 112.54786806700503,
    "compass": "ESE"
  }
}

स्कीमा

नीचे दी गई परिभाषाएँ इनपुट को मान्य करने और आउटपुट का वर्णन करने के लिए उपयोग की जाने वाली संपूर्ण JSON स्कीमा दिखाती हैं।

इनपुट स्कीमा

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "from": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "lat": {
          "type": "string",
          "description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
        },
        "lng": {
          "type": "string",
          "description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
        }
      },
      "required": [
        "lat",
        "lng"
      ]
    },
    "to": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "lat": {
          "type": "string",
          "description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
        },
        "lng": {
          "type": "string",
          "description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
        }
      },
      "required": [
        "lat",
        "lng"
      ]
    }
  },
  "required": [
    "from",
    "to"
  ]
}

आउटपुट स्कीमा

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "degrees": {
      "type": "number"
    },
    "compass": {
      "type": "string"
    }
  },
  "required": [
    "degrees",
    "compass"
  ]
}

MCP बेंचमार्क परिणाम

इस टूल के लिए Mariner GPS Tools MCP सर्वर संलग्न होने पर और उसके बिना मापा गया।

92%कम जनरेट किए गए मॉडल टोकनइस टूल का माध्यिका परिणाम उन 9 मॉडलों में से 8 पर आधारित है जिनके पास तुलना के लिए पर्याप्त सही बेसलाइन परिणाम थे।
5.2×बेंचमार्क में तेज़इस टूल का माध्यिका परिणाम उन 9 मॉडलों में से 8 पर आधारित है जिनके पास तुलना के लिए पर्याप्त सही बेसलाइन परिणाम थे।
100%MCP के साथ सही, बिना टूल के 93.5% की तुलना मेंइस टूल के 108/108 MCP प्रेक्षण सहनसीमा के भीतर।

सितंबर 2026 में मापा गया · 9 मॉडल · 4 नेविगेशन केस · 3 पुनरावृत्तियाँ · 216 प्रेक्षण · प्रोडक्शन MCP

API और MCP दस्तावेज़